<!DOCTYPE HTML>
<html lang="en-US">
    <head>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">
        <meta charset="UTF-8">
        <title>EpochtaSMS go via api v3.0</title>
        <script>
        $(function(){
            
            var send_type = $('#send_send_type');
            $('[name="send_type"]').change(function(){
                var type = $(this).val();
                switch (type) {
                    case 'now':
                        $('#send_type').hide();
                        break;
                    case 'date':
                        $('#send_type').show();
                        break;
                }
            })
            
            var error_desc = {"-1":{"status":"-1","code":"AUTH_FAILED","message":"\u041d\u0435\u043f\u0440\u0430\u0432\u0438\u043b\u044c\u043d\u0438\u0439 \u043b\u043e\u0433\u0456\u043d \u0442\u0430\/\u0430\u0431\u043e \u043f\u0430\u0440\u043e\u043b\u044c"},"-2":{"status":"-2","code":"XML_ERROR","message":"\u041d\u0435\u043f\u0440\u0430\u0432\u0438\u043b\u044c\u043d\u0438\u0439 \u0444\u043e\u0440\u043c\u0430\u0442 XML"},"-3":{"status":"-3","code":"NOT_ENOUGH_CREDITS","message":"\u041d\u0435\u0434\u043e\u0441\u0442\u0430\u0442\u043d\u044c\u043e \u043a\u0440\u0435\u0434\u0438\u0442\u0456\u0432 \u043d\u0430 \u0430\u043a\u0430\u0443\u043d\u0442\u0456 \u043a\u043e\u0440\u0438\u0441\u0442\u0443\u0432\u0430\u0447\u0430"},"-4":{"status":"-4","code":"NO_RECIPIENTS","message":"\u041d\u0435\u043c\u0430\u0454 \u0432\u0456\u0440\u043d\u0438\u0445 \u043d\u043e\u043c\u0435\u0440\u0456\u0432 \u043e\u0442\u0440\u0438\u043c\u0443\u0432\u0430\u0447\u0456\u0432"},"-7":{"status":"-7","code":"BAD_SENDER_NAME","message":"\u041f\u043e\u043c\u0438\u043b\u043a\u0430 \u0432 \u0456\u043c\u0435\u043d\u0456 \u0432\u0456\u0434\u043f\u0440\u0430\u0432\u043d\u0438\u043a\u0430"}};

            $('#send_sms').click(function(){
                var jqxhr = $.ajax({
                    // url: 'http://test.local/v3/forms/go/http://localhost:8082',
                    url: 'http://localhost:8082',
                    data: $('#send_form').serialize(),
                    type: 'POST',
                    dataType: "json",
                    success: function(result, status, thrownError) {
                        debugger;
                        console.log([result, status, thrownError])
                        if (!result.error) {
                            $('#success').removeClass('hidden');
                            $('#error').addClass('hidden');
                        } else {
                            $('#success').addClass('hidden');
                            $('#error_text').text('[' + result.error + ']: ' + (error_desc[result.code] ? error_desc[result.code] : ''));
                            $('#error').removeClass('hidden');
                        }
                    },
                    error: function (xhr, ajaxOptions, thrownError){  
                        console.log([xhr.status, thrownError]);          
                    }
                });
                        
                return false;
            })
        })
        </script>
        <style>
            .hidden {
                display: none
            }
        </style>
    </head>
    <body>
        <div class="alert alert-success hidden" id="success">
            <strong>Success!</strong> Send sms success.
        </div>

        <div class="alert alert-danger hidden" id="error">
            <strong>Error!</strong> <span id="error_text"></span>
        </div>
        <form id="send_form" action="" method="post" enctype="">
          <div class="form-group">
            <label for="sender">Sender</label>
            <input type="text" class="form-control" id="sender" name="sender" placeholder="Sender">
          </div>
          <div class="form-group">
            <label for="text_message">Text message</label>
            <textarea class="form-control" id="text_message" name="text_message" rows="3"></textarea>
          </div>
          <div class="form-group">
            <label for="phones">Phones</label>
            <textarea aria-describedby="emailHelp" class="form-control" id="phones" name="phones" rows="3"></textarea>
            <small id="emailHelp" class="form-text text-muted">each phone with a new line</small>
          </div>
          <fieldset class="form-group">
            <legend>Send type</legend>
            <div class="form-check">
              <label class="form-check-label">
                <input type="radio" class="form-check-input" name="send_type" id="send_type_now" value="now" checked>
                immediately
              </label>
            </div>
            <div class="form-check">
            <label class="form-check-label">
                <input type="radio" class="form-check-input" name="send_type" id="send_type_date" value="date">
                at date 
              </label>
            </div>
          </fieldset>
          <div id="send_type" class="form-check" style="display: none">
            <label class="form-check-label">
              <input id="send_date" name="send_date" type="datetime-local" class="form-check-input">
              datetime send
            </label>
          </div>
          <button id="send_sms" type="submit" class="btn btn-primary">Send</button>
        </form>
    </body>
</html>

